Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 596714 - dev-python/ipython-5.4.1 stable request
Summary: dev-python/ipython-5.4.1 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on: 593990 598519 598970 604532 649536
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2016-10-09 21:38 UTC by Diogo Pereira
Modified: 2018-05-16 12:32 UTC (History)
2 users (show)

See Also:
Package list:
dev-libs/mathjax-2.7.0 amd64 x86 dev-python/entrypoints-0.2.3 amd64 x86 dev-python/ipykernel-4.6.1-r2 amd64 x86 dev-python/ipyparallel-6.0.2-r1 amd64 x86 dev-python/ipywidgets-7.0.0 amd64 x86 dev-python/jupyter_client-5.1.0-r1 amd64 x86 dev-python/jupyter_core-4.4.0 amd64 x86 dev-python/mistune-0.7.4 amd64 x86 dev-python/nbconvert-5.2.1 amd64 x86 dev-python/nbformat-4.4.0 amd64 x86 dev-python/nbsphinx-0.2.14 amd64 x86 dev-python/nose-1.3.7-r3 amd64 x86 dev-python/nose_warnings_filters-0.1.5-r2 amd64 x86 dev-python/notebook-5.0.0 amd64 x86 dev-python/pandocfilters-1.4.2-r1 amd64 x86 dev-python/qtconsole-4.3.1 amd64 x86 dev-python/sphinxcontrib-github-alt-1.0 amd64 x86 dev-python/widgetsnbextension-3.0.0 amd64 x86 dev-python/backports-shutil_get_terminal_size-1.0.0-r1 arm mips ppc64 dev-python/ipython-5.4.1 amd64 arm mips ppc64 x86 dev-python/ipython_genutils-0.2.0 amd64 arm mips ppc64 x86 dev-python/jedi-0.11.1 arm mips ppc64 dev-python/pathlib-1.0.1-r1 arm mips ppc64 dev-python/pickleshare-0.7.4-r1 amd64 arm mips ppc64 x86 dev-python/prompt_toolkit-1.0.15 arm mips ppc64 dev-python/testpath-0.3.1 amd64 arm mips ppc64 x86 dev-python/traitlets-4.3.2 amd64 arm mips ppc64 x86 dev-python/wcwidth-0.1.7-r1 arm mips ppc64 virtual/python-pathlib-1.0 arm mips ppc64 dev-python/pathlib2-2.3.0 amd64 arm mips ppc64 x86 dev-python/scandir-1.6 amd64 arm mips ppc64 x86 dev-python/parso-0.1.1 arm mips ppc64
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diogo Pereira 2016-10-09 21:38:22 UTC
Please stabilize.
Comment 1 Pacho Ramos gentoo-dev 2016-11-27 12:23:09 UTC
any issues with CCing arches finally?
Comment 2 Agostino Sarubbo gentoo-dev 2016-12-28 08:58:29 UTC
Dear Maintainer (or who is mainly involved in this stable request),

This is an auto-generated message that will move the current component to the new component Stabilization.
To ensure that the stabilization will proceed correctly, please fill the fields "Atoms to stabilize" and "Runtime testing required" as described here:
https://archives.gentoo.org/gentoo-dev/message/4b2ef0e9aa7588224b8ae799c5fe31fa
Comment 3 Pacho Ramos gentoo-dev 2017-12-04 13:12:38 UTC
dev-python/ipython-5.1.0 is not in the tree anymore
Comment 4 Andreas Sturmlechner gentoo-dev 2017-12-21 14:04:11 UTC
Please let's get this done and then cleanup old.
Comment 5 Pacho Ramos gentoo-dev 2018-02-12 12:58:41 UTC
ok with CC arches finally  then?
Comment 6 Stabilization helper bot gentoo-dev 2018-03-02 13:09:08 UTC
An automated check of this bug failed - repoman reported dependency errors (428 lines truncated): 

> dependency.bad dev-python/notebook/notebook-5.0.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=dev-libs/mathjax-2.4', 'dev-python/jupyter_core[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/jupyter_client[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/nose_warnings_filters[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/nbsphinx[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/notebook/notebook-5.0.0.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=dev-libs/mathjax-2.4', 'dev-python/jupyter_core[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/jupyter_client[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/notebook/notebook-5.0.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=dev-libs/mathjax-2.4', 'dev-python/jupyter_core[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/jupyter_client[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/nose_warnings_filters[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/nbsphinx[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/nbconvert/nbconvert-5.2.1.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=dev-python/entrypoints-0.2.2[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/jupyter_core[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/mistune-0.7.4[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/pandocfilters-1.4.1[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/jupyter_client[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/nbsphinx[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/jupyter_client-4.2[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/nbconvert/nbconvert-5.2.1.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=dev-python/entrypoints-0.2.2[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/jupyter_core[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/mistune-0.7.4[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/pandocfilters-1.4.1[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/nbconvert/nbconvert-5.2.1.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=dev-python/entrypoints-0.2.2[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/jupyter_core[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/mistune-0.7.4[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/pandocfilters-1.4.1[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/jupyter_client[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/nbsphinx[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/jupyter_client-4.2[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/ipyparallel/ipyparallel-6.0.2-r1.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-python/jupyter_client[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/ipyparallel/ipyparallel-6.0.2-r1.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['dev-python/jupyter_client[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/ipyparallel/ipyparallel-6.0.2-r1.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-python/jupyter_client[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/ipywidgets/ipywidgets-7.0.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=dev-python/widgetsnbextension-3.0.0[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/ipywidgets/ipywidgets-7.0.0.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=dev-python/widgetsnbextension-3.0.0[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/ipywidgets/ipywidgets-7.0.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=dev-python/widgetsnbextension-3.0.0[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/ipykernel/ipykernel-4.6.1-r2.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-python/jupyter_client[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/nose_warnings_filters[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/ipykernel/ipykernel-4.6.1-r2.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['dev-python/jupyter_client[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/ipykernel/ipykernel-4.6.1-r2.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-python/jupyter_client[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/nose_warnings_filters[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/qtconsole/qtconsole-4.3.1.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-python/jupyter_core[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/jupyter_client-4.1.1[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/qtconsole/qtconsole-4.3.1.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['dev-python/jupyter_core[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/jupyter_client-4.1.1[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/qtconsole/qtconsole-4.3.1.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-python/jupyter_core[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/jupyter_client-4.1.1[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/nbformat/nbformat-4.4.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-python/jupyter_core[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/nbformat/nbformat-4.4.0.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['dev-python/jupyter_core[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
Comment 7 Stabilization helper bot gentoo-dev 2018-03-03 00:09:02 UTC
An automated check of this bug failed - repoman reported dependency errors (29 lines truncated): 

> dependency.bad dev-python/jupyter_core/jupyter_core-4.4.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-python/sphinxcontrib-github-alt[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/jupyter_core/jupyter_core-4.4.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-python/sphinxcontrib-github-alt[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/jupyter_core/jupyter_core-4.4.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop/gnome) ['dev-python/sphinxcontrib-github-alt[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
Comment 8 Thomas Deutschmann gentoo-dev Security 2018-03-04 05:11:18 UTC
x86 stopped stabilization due to bug 649536 and bug 649538.
Comment 9 Sergei Trofimovich gentoo-dev 2018-03-04 22:41:48 UTC
ppc64 stable
Comment 10 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-03-30 16:08:52 UTC
please CC arches when tests are fixed.
Comment 11 Mart Raudsepp gentoo-dev 2018-04-05 16:39:05 UTC
Note that stabilization of jedi-0.11.1 will mean no Python auto-completion in gnome-builder, as that requires <0.10 or 0.10.x after a revbump I'm about to do to get it working with that at least. 0.11 has the parso split and needs adapting by some consumers. dev-python/parso doesn't even seem to be in package list, so I have no idea how sanity-check passes here with the newstable of jedi-0.11.1 for arm.
Comment 12 Mart Raudsepp gentoo-dev 2018-04-05 17:37:56 UTC
scratch the parso comment, oddly ctrl+F in browser skipped it for me or something... compatibility concerns remain.
Comment 13 Mart Raudsepp gentoo-dev 2018-04-14 21:05:29 UTC
Can we just remove jedi and parso from the package list? Then I'm good for now wrt gnome-builder. I'm happy to work with python@ about a coordinated jedi-0.11 stabilization that wouldn't break gnome-builder in stable.
(I suggest removing parso from package list because it's a new dep in jedi 0.11 - the parser was split into a standalone project, called parso; so should probably be stabilized together with jedi-0.11)
Comment 14 Thomas Deutschmann gentoo-dev Security 2018-04-22 01:36:08 UTC
x86 stable
Comment 15 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-04-22 06:12:33 UTC
amd64 stable
Comment 16 Andreas Sturmlechner gentoo-dev 2018-05-06 21:06:19 UTC
Dropping amd64/x86 from dev-python/jedi for concerns raised about gnome-builder. Other arches lack keywords on jedi-0.10, so proceeding.
Comment 17 Andreas Sturmlechner gentoo-dev 2018-05-06 21:22:41 UTC
Re-adding amd64 for missing stabilisation.
Comment 18 Mart Raudsepp gentoo-dev 2018-05-06 21:23:07 UTC
Removing parso from amd64/x86 list as well - it's needed by new jedi as the split out parser part of it, so should be stabilized together with jedi-0.11 at some point in the future
Comment 19 Larry the Git Cow gentoo-dev 2018-05-10 14:23:26 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70f1e3d74b443b6045a2bc2d1a00edf2f79bd841

commit 70f1e3d74b443b6045a2bc2d1a00edf2f79bd841
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-05-06 20:49:20 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-05-10 14:21:49 +0000

    dev-python/ipython: De-stabilise arm
    
    Bug: https://bugs.gentoo.org/596714
    Package-Manager: Portage-2.3.36, Repoman-2.3.9

 dev-python/ipython/ipython-3.2.1-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 20 Agostino Sarubbo gentoo-dev 2018-05-16 08:35:36 UTC
amd64 stable. Closing.
Comment 21 Andreas Sturmlechner gentoo-dev 2018-05-16 10:12:08 UTC
Checking 1.5 hours later amd64 is NOT stable, so re-adding for the 2nd time.
Comment 22 Agostino Sarubbo gentoo-dev 2018-05-16 12:28:48 UTC
amd64 stable. Closing.
Comment 23 Larry the Git Cow gentoo-dev 2018-05-16 12:32:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab0a94d6c81e90a1626bb0683083b9cb315fea89

commit ab0a94d6c81e90a1626bb0683083b9cb315fea89
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-05-10 17:19:08 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-05-16 12:31:45 +0000

    dev-python/ipython: Drop old
    
    Closes: https://bugs.gentoo.org/596714
    Package-Manager: Portage-2.3.36, Repoman-2.3.9

 dev-python/ipython/Manifest                        |   1 -
 ...n-3.2.1-Don-t-redirect-from-edit-to-files.patch |  55 --------
 ...nly-redirect-to-editor-for-text-documents.patch |  38 -----
 .../ipython-3.2.1-set-mime-type-on-files.patch     |  35 -----
 ...et-model-mimetype-even-when-content-False.patch |  64 ---------
 dev-python/ipython/ipython-3.2.1-r1.ebuild         | 156 ---------------------
 dev-python/ipython/metadata.xml                    |   2 -
 7 files changed, 351 deletions(-)